﻿using System.Collections.Generic;

namespace JSAnalyse.Core.Analyser
{
    internal class AnalyserInput
    {
        #region Public properties

        /// <summary>
        /// Gets or sets the declarations.
        /// </summary>
        /// <value>The declarations.</value>
        public List<CallDependencyInfo> Declarations { get; set; }

        /// <summary>
        /// Gets or sets the call dependencies.
        /// </summary>
        /// <value>The call dependencies.</value>
        public List<CallDependencyInfo> CallDependencies { get; set; }

        /// <summary>
        /// Gets or sets the source file.
        /// </summary>
        /// <value>The source file.</value>
        public string SourceFile { get; set; }

        #endregion

        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="T:System.Object"/> class.
        /// </summary>
        public AnalyserInput(string sourceFile)
        {
            SourceFile = sourceFile;
            Declarations = new List<CallDependencyInfo>();
            CallDependencies = new List<CallDependencyInfo>();
        }

        #endregion
    }
}
