﻿// /////////////////////////////////////////////////////////////////////
// 
//  Codeplex JSAnalyse
//  Copyright (c) 2011
//  JSAnalyse.Core   MemberExpressionInfo.cs
// 
// /////////////////////////////////////////////////////////////////////

namespace JSAnalyse.Core.Analyser
{
    internal class CallDependencyInfo
    {
        #region Public properties

        /// <summary>
        /// Gets or sets the member location.
        /// </summary>
        /// <value>The member location.</value>
        public SourceLocation MemberSourceLocation { get; set; }

        /// <summary>
        /// Gets or sets the identifier.
        /// </summary>
        /// <value>The identifier.</value>
        public IdentifierInfo Identifier { get; set; }

        #endregion

        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="CallDependencyInfo"/> class.
        /// </summary>
        /// <param name="identfier">The identfier.</param>
        /// <param name="sourceLocation">The source location.</param>
        /// <remarks></remarks>
        public CallDependencyInfo(IdentifierInfo identfier, SourceLocation sourceLocation)
        {
            Identifier = identfier;
            MemberSourceLocation = sourceLocation;
        }

        #endregion
    }
}
