﻿// /////////////////////////////////////////////////////////////////////
// 
//  Codeplex JSAnalyse
//  Copyright (c) 2011
//  JSAnalyse.Core   FileDependency.cs
// 
// /////////////////////////////////////////////////////////////////////

using System.Collections.Generic;

namespace JSAnalyse.Core.Analyser
{
    /// <summary>
    /// Dependency analysis result container
    /// </summary>
    internal class FileDependency
    {
        #region Public properties

        /// <summary>
        /// Gets or sets the file dependencies.
        /// </summary>
        /// <value>The file dependencies.</value>
        public List<DependencyInfo> FileDependencies { get; set; }

        /// <summary>
        /// Gets or sets the wrong file dependencies.
        /// </summary>
        /// <value>The wrong file dependencies.</value>
        public List<DependencyInfo> WrongFileDependencies { get; set; }

        #endregion

        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="T:System.Object"/> class. 
        /// </summary>
        public FileDependency()
        {
            FileDependencies = new List<DependencyInfo>();
            WrongFileDependencies = new List<DependencyInfo>();
        }

        #endregion
    }
}
