﻿// /////////////////////////////////////////////////////////////////////
// 
//  Codeplex JSAnalyse
//  Copyright (c) 2011
//  JSAnalyse.Core   DependencyRunnerResult.cs
// 
// /////////////////////////////////////////////////////////////////////
using System.Collections.Generic;

namespace JSAnalyse.Core
{
    /// <summary>
    /// Contains the result of the dependency check.
    /// The source file and the wrong dependencies are listed.
    /// </summary>
    public class DependencyRunnerResult
    {
        /// <summary>
        /// Gets or sets the source file.
        /// </summary>
        /// <value>
        /// The source file.
        /// </value>
        public string SourceFile { get; set; }
        /// <summary>
        /// Gets or sets the wrong file dependencies.
        /// </summary>
        /// <value>
        /// The wrong file dependencies.
        /// </value>
        public List<DependencyInfo> WrongFileDependencies { get; set; }
    }
}
