﻿// /////////////////////////////////////////////////////////////////////
// 
//  Codeplex JSAnalyse
//  Copyright (c) 2011
//  JSAnalyse.Core   MemberExpressionInfo.cs
// 
// /////////////////////////////////////////////////////////////////////
namespace JSAnalyse.Core
{
    /// <summary>
    /// The identifier in the source code
    /// </summary>
    /// <remarks></remarks>
    public class IdentifierInfo
    {
        /// <summary>
        /// Gets or sets the main identifier.
        /// </summary>
        /// <value>The identifier.</value>
        public string ClassName { get; set; }

        /// <summary>
        /// Gets or sets the sub identifier.
        /// </summary>
        /// <value>The sub identifier.</value>
        /// <remarks></remarks>
        public string Member { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="IdentifierInfo"/> class.
        /// </summary>
        /// <param name="className">The class identifier.</param>
        /// <param name="member">The member.</param>
        /// <remarks></remarks>
        public IdentifierInfo(string className, string member)
        {
            ClassName = className;
            Member = member;
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="IdentifierInfo"/> class.
        /// </summary>
        /// <param name="className">The class identifier.</param>
        /// <remarks></remarks>
        public IdentifierInfo(string className)
        {
            ClassName = className;
            Member = null;
        }
    }
}
