﻿// /////////////////////////////////////////////////////////////////////
// 
//  Codeplex JSAnalyse
//  Copyright (c) 2011
//  JSAnalyse.Core   IAllowedDependencies.cs
// 
// /////////////////////////////////////////////////////////////////////
namespace JSAnalyse.Core.Interfaces
{
    /// <summary>
    /// Checker for file dependencies
    /// </summary>
    public interface IAllowedDependencies
    {
        /// <summary>
        /// Determines whether the dependency is allowed between the file and dependent file
        /// </summary>
        /// <param name="sourceFile">The base file</param>
        /// <param name="dependencyFile">The file which is accessed by the source file</param>
        /// <returns><c>true</c> if the specified file is allowed; otherwise, <c>false</c>.</returns>
        bool IsAllowed(string sourceFile, string dependencyFile);
    }
}
