﻿// /////////////////////////////////////////////////////////////////////
// 
//  Codeplex JSAnalyse
//  Copyright (c) 2011
//  JSAnalyse.Core   MemberExpressionInfo.cs
// 
// /////////////////////////////////////////////////////////////////////
namespace JSAnalyse.Core.Parser
{
    internal class DeclarationInfo
    {
        #region Public properties

        /// <summary>
        /// Gets or sets the member location.
        /// </summary>
        /// <value>The member location.</value>
        public SourceLocation MemberSourceLocation { get; set; }

        /// <summary>
        /// Gets or sets the identifier.
        /// </summary>
        /// <value>The identifier.</value>
        public IdentifierInfo Identifier { get; set; }
        #endregion

        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="DeclarationInfo"/> class.
        /// </summary>
        /// <param name="identifier">The identifier.</param>
        /// <param name="line">The line.</param>
        /// <param name="character">The character.</param>
        /// <remarks></remarks>
        public DeclarationInfo(IdentifierInfo identifier, int line, int character)
        {
            Identifier = identifier;
            MemberSourceLocation = new SourceLocation { Line = line, Character = character };
        }

        #endregion
    }
}
