﻿// /////////////////////////////////////////////////////////////////////
// 
//  Codeplex JSAnalyse
//  Copyright (c) 2011
//  JSAnalyse.Core   ParserResult.cs
// 
// /////////////////////////////////////////////////////////////////////

using System.Collections.Generic;

namespace JSAnalyse.Core.Parser
{
    /// <summary>
    /// Declaration info
    /// </summary>
    internal class ParserResult
    {
        #region Public properties

        /// <summary>
        /// Gets or sets the variable declarations.
        /// </summary>
        /// <value>The variable declarations.</value>
        public List<DeclarationInfo> Declarations { get; set; }

        /// <summary>
        /// Gets or sets the call dependencies.
        /// </summary>
        /// <value>The call dependencies.</value>
        public List<DeclarationInfo> CallDependencies { get; set; }

        /// <summary>
        /// Gets or sets the source file.
        /// </summary>
        /// <value>The source file.</value>
        public string SourceFile { get; set; }

        #endregion

        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="T:System.Object"/> class.
        /// </summary>
        public ParserResult(string sourceFile)
        {
            SourceFile = sourceFile;
            Declarations = new List<DeclarationInfo>();
            CallDependencies = new List<DeclarationInfo>();
        }

        #endregion
    }
}
